PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Spectroscopic Data (`pydl.pydlspec2d`) »
- wavevector

# wavevector

pydl.pydlspec2d.spec1d.wavevector(minfullwave, maxfullwave, zeropoint=3.5, binsz=0.0001, wavemin=None)

  Return an array of wavelengths.

  Parameters
    minfullwave `float`

      Minimum wavelength.

    maxfullwave `float`

      Maximum wavelength.

    zeropoint `float`, optional

      Offset of the input wavelength values.

    binsz `float`, optional

      Separation between wavelength values.

    wavemin `float`, optional

      If this is set the values of `minfullwave` and `zeropoint` are ignored.

  Returns
    `numpy.ndarray`

      Depending on the values of `minfullwave`, `binsz`, etc., the resulting array could be interpreted as an array of wavelengths or an array of log(wavelength).